#ifndef GUARD_enums_h
#define GUARD_enums_h
/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file enums.h
/// @brief Class for enum decleartion.

/// @brief Namespace for application enums and constants.
namespace Sagua {

    enum AudioDriver {
        DRIVER_DEFAULT,
        DRIVER_ALSA,
        DRIVER_ALSA9,
        DRIVER_ESD,
        DRIVER_IRIX,
        DRIVER_OSS,
        DRIVER_SUN,
        DRIVER_AIXS,
        DRIVER_TOTALSIZE
    };

    const char* const AudioDriverName[Sagua::DRIVER_TOTALSIZE] = {
        "default",
        "alsa",
        "alsa09",
        "esd",
        "irix",
        "oss",
        "sun",
        "aixs" };

    enum TagIndex {
        TAG_TITLE,
        TAG_ALBUM,
        TAG_GENRE,
        TAG_ARTIST,
        TAG_COMMENT,
        TAG_YEAR,
        TAG_TRACK,
        TAG_TOTALSIZE
    };

    enum TrayIconAction {
        TRAYICON_OPENWIN,
        TRAYICON_FILEINFO,
        TRAYICON_STOP,
        TRAYICON_PAUSE,
        TRAYICON_PLAY,
        TRAYICON_PREV,
        TRAYICON_NEXT,
        TRAYICON_TOTALSIZE
    };

    const char* const TrayIconActionName[Sagua::TRAYICON_TOTALSIZE] = {
        "openwin",
        "fileinfo",
        "stop",
        "pause",
        "play",
        "prev",
        "next" };

    enum ListState {
        LIST_NORMAL,
        LIST_FIRST,
        LIST_LAST,
        LIST_EMPTY
    };
}

#endif
