#ifndef GUARD_fwd_h
#define GUARD_fwd_h
/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file fwd.h
/// @brief Class forward declare.

#include <iosfwd>

class PlayControlAudio;

class PlayerInterface;

class PlayControlDisplay;

class SettingInterface;

class MainWndInterface;

class AddItem;

class MainManager;

class MainWnd;

class LastState;

class Preference;
class EffectorPreference;
class SaguaPreference;

class Command;

namespace Exception {

    class SaguaException;
}

class SaguaTrayIcon;

class PlayListControl;
class PlayController;

class DirPlayWnd;

class GetItem;
class PlaylistDisplay;
class Playlist;

class Player;
template <class T>
class PlayerFactory;

class Tag;
class TagFactory;

class ListFactory;

namespace Audio {

    template <class T>
    class AudioBuffer;

    class Mixer;
}

namespace Libao {

    class AudioDriver;
}

namespace Effect {

    class Processor;
}

typedef Audio::AudioBuffer<Libao::AudioDriver> SaguaAudioBuffer;

#endif
